Bug 354019 - Ctrl+Tab file switcher always shows scrollbar
Summary: Ctrl+Tab file switcher always shows scrollbar
Status: RESOLVED FIXED
Alias: None
Product: kate
Classification: Unclassified
Component: application (show other bugs)
Version: 5.0.0
Platform: Other Linux
: NOR minor (vote)
Target Milestone: ---
Assignee: KWrite Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-10-17 19:24 UTC by Gregor Mi
Modified: 2016-06-13 14:11 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In: Applications 16.04.2


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Gregor Mi 2015-10-17 19:24:23 UTC
First of all, thanks for introducing the Ctrl+Tab feature to switch between files. Very useful.

There is one minor issue: the appearing file list window has got a height which is always one item too small. If it the first or the last item of the list which is hidden depends on how list the was left by releasing the Tab key.
Comment 1 Dominik Haumann 2016-06-13 14:09:56 UTC
Git commit 60fb10d22f17513f8179d4960fb4b2c5d765dea4 by Dominik Haumann.
Committed on 13/06/2016 at 14:09.
Pushed by dhaumann into branch 'Applications/16.04'.

Tab Switcher Plugin: Make sure the height fits all items

The frame of the list view was missing.

M  +4    -2    addons/tabswitcher/tabswitcher.cpp

http://commits.kde.org/kate/60fb10d22f17513f8179d4960fb4b2c5d765dea4